Subject: Ticket Assigned - Order 9588893034
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 07 Oct 2022 02:12:14 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order 9588893034 Hello, 

My order was supposed to be here two days ago, and I kept on having ridiculous attempts by the delivery person claiming they cannot reach me the first time which is why they could not deliver. The next day I placed a complaint with the call center and told them that I needed my order urgently and they promised someone would reach out—NO ONE DID.

Today, I get a message that my order is out again, then the driver sends me another ridiculous message about how he cannot contact me, yet he’s able to WhatsApp me. I sent him the location as he requested, and after several follow ups and confirmations he promised he would make the delivery today. It’s now passed midnight and NOTHING HAS ARRIVED. With no apologies or explanation whatsoever.

This is absolutely ridiculous considering I was promised a next day delivery, and considering my order has been going out for multiple days but not reaching me for whatever reason.

I expect my order to be at my door tomorrow morning without any further delays, because this is not how you treat customers and definitely not one who is loyal to your business.

What a shame to be honest. I except to be called tomorrow with an explanation and absolutely expect my delivery to be here without any excuse or further delays.

Thanks,

Habab Nagi 
0502977176

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4971925